import { jsx } from "react/jsx-runtime";
import { TokenCAS as TokenCAS$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenCAS = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "CAS", "data-name": "TokenCAS", ...props, children: /* @__PURE__ */ jsx(TokenCAS$1, { variant }) });
  }
);
TokenCAS.displayName = "TokenCAS";
Object.assign(TokenCAS, { isGdsIcon: true });
export {
  TokenCAS
};
